'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _jsx2 = require('babel-runtime/helpers/jsx');

var _jsx3 = _interopRequireDefault(_jsx2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _connectField = require('uniforms/connectField');

var _connectField2 = _interopRequireDefault(_connectField);

var _semanticUiReact = require('semantic-ui-react');

var _filterSemanticProps = require('./filterSemanticProps');

var _filterSemanticProps2 = _interopRequireDefault(_filterSemanticProps);

var _Wrapper = require('./Wrapper');

var _Wrapper2 = _interopRequireDefault(_Wrapper);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by cesar on 4/9/17.
 */
var Select = function Select(_ref) {
    var additionLabel = _ref.additionLabel,
        additionPosition = _ref.additionPosition,
        allowAdditions = _ref.allowAdditions,
        as = _ref.as,
        basic = _ref.basic,
        button = _ref.button,
        children = _ref.children,
        className = _ref.className,
        closeOnBlur = _ref.closeOnBlur,
        closeOnChange = _ref.closeOnChange,
        compact = _ref.compact,
        defaultOpen = _ref.defaultOpen,
        defaultSelectedLabel = _ref.defaultSelectedLabel,
        defaultValue = _ref.defaultValue,
        disabled = _ref.disabled,
        error = _ref.error,
        floating = _ref.floating,
        fluid = _ref.fluid,
        header = _ref.header,
        icon = _ref.icon,
        inline = _ref.inline,
        item = _ref.item,
        labeled = _ref.labeled,
        loading = _ref.loading,
        minCharacters = _ref.minCharacters,
        multiple = _ref.multiple,
        noResultsMessage = _ref.noResultsMessage,
        onAddItem = _ref.onAddItem,
        onBlur = _ref.onBlur,
        _onChange = _ref.onChange,
        onClick = _ref.onClick,
        onClose = _ref.onClose,
        onFocus = _ref.onFocus,
        onLabelClick = _ref.onLabelClick,
        onMouseDown = _ref.onMouseDown,
        onOpen = _ref.onOpen,
        onSearchChange = _ref.onSearchChange,
        open = _ref.open,
        openOnFocus = _ref.openOnFocus,
        options = _ref.options,
        placeholder = _ref.placeholder,
        pointing = _ref.pointing,
        renderLabel = _ref.renderLabel,
        scrolling = _ref.scrolling,
        search = _ref.search,
        searchInput = _ref.searchInput,
        selectOnBlur = _ref.selectOnBlur,
        selectedLabel = _ref.selectedLabel,
        selection = _ref.selection,
        simple = _ref.simple,
        tabIndex = _ref.tabIndex,
        text = _ref.text,
        trigger = _ref.trigger,
        upward = _ref.upward,
        value = _ref.value,
        label = _ref.label,
        errorMessage = _ref.errorMessage,
        showInlineError = _ref.showInlineError,
        props = (0, _objectWithoutProperties3.default)(_ref, ['additionLabel', 'additionPosition', 'allowAdditions', 'as', 'basic', 'button', 'children', 'className', 'closeOnBlur', 'closeOnChange', 'compact', 'defaultOpen', 'defaultSelectedLabel', 'defaultValue', 'disabled', 'error', 'floating', 'fluid', 'header', 'icon', 'inline', 'item', 'labeled', 'loading', 'minCharacters', 'multiple', 'noResultsMessage', 'onAddItem', 'onBlur', 'onChange', 'onClick', 'onClose', 'onFocus', 'onLabelClick', 'onMouseDown', 'onOpen', 'onSearchChange', 'open', 'openOnFocus', 'options', 'placeholder', 'pointing', 'renderLabel', 'scrolling', 'search', 'searchInput', 'selectOnBlur', 'selectedLabel', 'selection', 'simple', 'tabIndex', 'text', 'trigger', 'upward', 'value', 'label', 'errorMessage', 'showInlineError']);
    return (0, _jsx3.default)(_Wrapper2.default, {
        showInlineError: showInlineError,
        errorMessage: errorMessage,
        error: error,
        label: label
    }, void 0, _react2.default.createElement(_semanticUiReact.Dropdown, (0, _extends3.default)({}, (0, _filterSemanticProps2.default)(props), {

        additionLabel: additionLabel,
        additionPosition: additionPosition,
        allowAdditions: allowAdditions,
        as: as,
        basic: basic,
        button: button,
        children: children,
        className: className,
        closeOnBlur: closeOnBlur,
        closeOnChange: closeOnChange,
        compact: compact,
        defaultOpen: defaultOpen,
        defaultSelectedLabel: defaultSelectedLabel,
        defaultValue: !value ? defaultValue : undefined,
        disabled: disabled,
        error: error,
        floating: floating,
        fluid: fluid,
        header: header,
        icon: icon,
        inline: inline,
        item: item,
        labeled: labeled,
        loading: loading,
        minCharacters: minCharacters,
        multiple: multiple,
        noResultsMessage: noResultsMessage,
        onAddItem: onAddItem,
        onBlur: onBlur,
        onClick: onClick,
        onClose: onClose,
        onFocus: onFocus,
        onLabelClick: onLabelClick,
        onMouseDown: onMouseDown,
        onOpen: onOpen,
        onSearchChange: onSearchChange,
        open: open,
        openOnFocus: openOnFocus,
        options: options,
        placeholder: placeholder,
        pointing: pointing,
        renderLabel: renderLabel,
        scrolling: scrolling,
        search: search,
        searchInput: searchInput,
        selectOnBlur: selectOnBlur,
        selectedLabel: selectedLabel,
        selection: selection,
        simple: simple,
        tabIndex: tabIndex,
        text: text,
        trigger: trigger,
        upward: upward,
        value: value,

        onChange: function onChange(event, data) {
            _onChange(data.value);
        }
    })));
};

Select.propTypes = process.env.NODE_ENV !== "production" ? (0, _extends3.default)({
    errorMessage: _propTypes2.default.string,
    showInlineError: _propTypes2.default.bool,
    errorLabel: _propTypes2.default.element
}, _semanticUiReact.Dropdown.propTypes) : {};

exports.default = (0, _connectField2.default)(Select, {
    includeInChain: false
});