"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _jsx2 = require("babel-runtime/helpers/jsx");

var _jsx3 = _interopRequireDefault(_jsx2);

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _ErrorLabel = require("./ErrorLabel");

var _ErrorLabel2 = _interopRequireDefault(_ErrorLabel);

var _semanticUiReact = require("semantic-ui-react");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Wrapper = function Wrapper(_ref) {
    var error = _ref.error,
        showInlineError = _ref.showInlineError,
        errorMessage = _ref.errorMessage,
        label = _ref.label,
        props = (0, _objectWithoutProperties3.default)(_ref, ["error", "showInlineError", "errorMessage", "label"]);

    var headLabel = void 0,
        insideLabel = void 0;
    if (label && typeof label === 'string') {
        headLabel = (0, _jsx3.default)(_semanticUiReact.Label, {}, void 0, label);
    }
    if (_react2.default.isValidElement(label)) {
        insideLabel = label;
    }
    var children = _react2.default.Children.map(props.children, function (child) {
        return _react2.default.cloneElement(child, {
            label: insideLabel
        });
    });

    if (!headLabel && !error && !showInlineError) return children;
    return (0, _jsx3.default)("div", {
        className: { error: error }
    }, void 0, headLabel, children, !!(error && showInlineError) && (0, _jsx3.default)(_ErrorLabel2.default, {
        style: { display: 'table' },
        content: errorMessage
    }));
}; /**
    * Created by cesar on 13/9/17.
    */
exports.default = Wrapper;