import React from 'react'
import BaseForm   from 'uniforms/BaseForm';
import {Form} from "semantic-ui-react";

const Semantic = parent => class extends parent {
    static Semantic = Semantic;

    static displayName = `ReactSemantic${parent.displayName}`;




    getNativeFormProps () {
        const {
            autosave,        // eslint-disable-line no-unused-vars
            autosaveDelay,   // eslint-disable-line no-unused-vars
            disabled,        // eslint-disable-line no-unused-vars
            label,           // eslint-disable-line no-unused-vars
            model,           // eslint-disable-line no-unused-vars
            modelTransform,  // eslint-disable-line no-unused-vars
            onChange,        // eslint-disable-line no-unused-vars
            onSubmit,        // eslint-disable-line no-unused-vars
            onSubmitFailure, // eslint-disable-line no-unused-vars
            onSubmitSuccess, // eslint-disable-line no-unused-vars
            placeholder,     // eslint-disable-line no-unused-vars
            schema,          // eslint-disable-line no-unused-vars
            showInlineError, // eslint-disable-line no-unused-vars

            ...props
        } = this.props;

        const error = !!this.getChildContextError();

        return {
            ...props,
            error,
            onSubmit: this.onSubmit,
            key: `reset-${this.state.resetCount}`
        };
    }
    render () {
        const {error}=this.props
        return (
            <Form error={!!error} {...this.getNativeFormProps()} />
        );
    }


};

export default Semantic(BaseForm);
